Page MenuHomeLubuntu Development

Add Lubuntu Round Openbox Theme and change background and hover color for in menu search
ClosedPublic

Authored by hmollercl on Jan 25 2020, 2:43 AM.

Details

Summary

Add Lubuntu Round Openbox Theme and change background and hover color for in menu search

Test Plan

Tst if in menu search has the new hover and backgroun colors, same as menu

Diff Detail

Repository
rART Artwork
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

hmollercl requested review of this revision.Jan 25 2020, 2:43 AM
hmollercl created this revision.
hmollercl updated this revision to Diff 212.Jan 25 2020, 12:37 PM

remove old close xbm

wxl requested changes to this revision.Jan 27 2020, 1:46 AM

As I said before, I trust you fully as far as theming is concerned. So I'm not too worried about the aesthetics of the theme.

I also don't consider myself much of an expert on how one does the theming, either. But I have two observations in regards to that subject:

  1. It seems that the main menu background was somehow based off of the text palette rather than being hardcoded, which, I'm thinking, might make it more dynamic.
  2. The main menu selected item goes from being an rgb (decimal) value to being an html (hexidecimal) one. I'm sure as far as the end result is concerned, this doesn't ultimately matter, but perhaps consistency might not be wise?

You can tell me if I don't know what I'm talking about :)

As far as the theme is concerned, my concerns are:

  1. The commented lines which should be removed, unless we're trying to expose some options to allow people to change, in which case, they should be documented.
  2. It should have a Lubuntu copyright.

I guess those things relate to our current theme, so those should probably get fixed, too…

This revision now requires changes to proceed.Jan 27 2020, 1:46 AM
hmollercl added a comment.EditedJan 27 2020, 3:55 PM
  1. It seems that the main menu background was somehow based off of the text palette rather than being hardcoded, which, I'm thinking, might make it more dynamic.

It sounds good in theory but in practice I haven't been able to make it work well because of our strange combination dark/light. palette(text) gives the light background https://phab.lubuntu.me/file/data/ttrldxvuelxtrwlrkxqd/PHID-FILE-rewnjzd6z5bnokqc2cbs/image.png , palette gives black https://phab.lubuntu.me/file/data/f7xfnxptzrtpbccbv6aa/PHID-FILE-t3uhfy727jqnveam45z7/image.png . If same result https://phab.lubuntu.me/file/data/5ca5lmzalxicymra5icf/PHID-FILE-p6c4vzko4e7mmmoivcxp/image.png could be achieve with palette I would prefer palette, but I'm not having been able to do it. I'm no expert on colors so if there are better options I'm willing to use them.

  1. The main menu selected item goes from being an rgb (decimal) value to being an html (hexidecimal) one. I'm sure as far as the end result is concerned, this doesn't ultimately matter, but perhaps consistency might not be wise?

I used the same consistency of the original file https://phab.lubuntu.me/source/lubuntu-artwork/browse/ubuntu%252Ffocal/src/usr/share/lxqt/themes/Lubuntu%20Arc/lxqt-panel.qss in which those backgrounds are rgb. We can change all of them, but I don't know if that has been done for a reason or not.

  1. The commented lines which should be removed, unless we're trying to expose some options to allow people to change, in which case, they should be documented.

In xbm lines starting with # are definitions, not comments https://en.wikipedia.org/wiki/X_BitMap

  1. It should have a Lubuntu copyright.

You mean change this?
Copyright (C) 2015 Dino Duratović <dinomol at mail dot com>
with this?
Copyright (C) 2020 Lubuntu

wxl added a comment.Jan 27 2020, 5:12 PM

Well maybe I'm backpedalling on all of that:

  • if using the palette doesn't work, oh well
  • in regards to color types, probably better not to fix what's not broken ☺
  • I meant the comments in the themerc, but…
  • …is this just a copy of the original?
  • …is this just a copy of the original?

99% is, except the close.xbm and in themerc the lines:
window.active.button.close.unpressed.image.color:#BA63D1
window.inactive.button.unpressed.image.color: #7F8388

there are 3 commented lines I added 47-49 I did it so long ago I forgot. I can erase them, shoul I erase the other commented too?

wxl added a comment.Jan 27 2020, 10:39 PM

Yeah I guess it should have something similar to the original where this was inspired by so-and-so and we modified it and so it should have a Lubuntu copyright. I wonder who Dino Duratović is and where the original came from.

hmollercl updated this revision to Diff 227.Jan 31 2020, 12:43 AM
  • changed copyright, removed some commented lines
wxl accepted this revision.Jan 31 2020, 12:46 AM
This revision is now accepted and ready to land.Jan 31 2020, 12:46 AM
kc2bez accepted this revision.Feb 1 2020, 7:22 PM
kc2bez requested changes to this revision.Feb 1 2020, 8:10 PM
kc2bez added a subscriber: The_LoudSpeaker.

I take my acceptance back but just a little. It is a bit picky but I know you are getting ready to apply for developer (hint, hint). Some of the lintian items in P64 should probably be addressed. Most notably the Standards-Version and probably the whitespace in d/control. @The_LoudSpeaker will want to address the grub theme issues at some point too.

This revision now requires changes to proceed.Feb 1 2020, 8:10 PM

woops, didn't check that because I didn't modify it. Will look at it.

In D70#1747, @kc2bez wrote:

I take my acceptance back but just a little. It is a bit picky but I know you are getting ready to apply for developer (hint, hint). Some of the lintian items in P64 should probably be addressed. Most notably the Standards-Version and probably the whitespace in d/control. @The_LoudSpeaker will want to address the grub theme issues at some point too.

hmollercl updated this revision to Diff 238.Feb 8 2020, 4:49 PM
  • changed copyright, removed some commented lines, solved lintian, wrap and sort
kc2bez requested changes to this revision.EditedFeb 9 2020, 8:13 PM

Almost there. >< Standards-Version should get a bump unless there is a compelling reason not to.

debian/control
6–7

Current Standards-Version is 4.5.0
This is something that probably should be checked every time a package is touched.

This revision now requires changes to proceed.Feb 9 2020, 8:13 PM
hmollercl updated this revision to Diff 241.Feb 10 2020, 1:41 AM
  • changed copyright, removed some commented lines, bump standards
kc2bez added inline comments.Feb 11 2020, 12:50 AM
debian/changelog
6

Throw a Bumped Standards-Version to 4.5.0, no changes needed. here and LGTM

hmollercl updated this revision to Diff 244.Feb 11 2020, 11:30 AM
  • changed copyright, removed some commented lines, bumped standard versions apply new debhelper compat standard
kc2bez accepted this revision.Feb 13 2020, 11:51 AM

Thanks for working through this @hmollercl ! LGTM

This revision is now accepted and ready to land.Feb 13 2020, 11:51 AM
wxl accepted this revision.Feb 13 2020, 6:44 PM